test: _SETUP_LOADER_BLOCK struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _SETUP_LOADER_BLOCK Struct Reference

`#include <setupblk.h>`

List of all members.

## Public Attributes

PCHAR | ArcSetupDeviceName
DETECTED_DEVICE | VideoDevice
PDETECTED_DEVICE | KeyboardDevices
DETECTED_DEVICE | ComputerDevice
PDETECTED_DEVICE | ScsiDevices
SETUP_LOADER_BLOCK_SCALARS | ScalarValues
PCHAR | IniFile
ULONG | IniFileLength
PCHAR | WinntSifFile
ULONG | WinntSifFileLength
PCHAR | MigrateInfFile
ULONG | MigrateInfFileLength
PCHAR | UnsupDriversInfFile
ULONG | UnsupDriversInfFileLength
PMONITOR_CONFIGURATION_DATA | Monitor
PCHAR | MonitorId
PDETECTED_DEVICE | BootBusExtenders
PDETECTED_DEVICE | BusExtenders
PDETECTED_DEVICE | InputDevicesSupport
PPNP_HARDWARE_ID | HardwareIdDatabase
WCHAR | ComputerName [64]
ULONG | IpAddress
ULONG | SubnetMask
ULONG | ServerIpAddress
ULONG | DefaultRouter
ULONG | DnsNameServer
WCHAR | NetbootCardHardwareId [64]
WCHAR | NetbootCardDriverName [24]
WCHAR | NetbootCardServiceName [24]
PCHAR | NetbootCardRegistry
ULONG | NetbootCardRegistryLength
PCHAR | NetbootCardInfo
ULONG | NetbootCardInfoLength
ULONG | Flags
PCHAR | MachineDirectoryPath
PCHAR | NetBootSifPath
PVOID | NetBootSecret
UCHAR | NetBootIMirrorFilePath [260]

## Member Data Documentation

PCHAR _SETUP_LOADER_BLOCK::ArcSetupDeviceName

| Definition at line 355 of file setupblk.h.

PDETECTED_DEVICE _SETUP_LOADER_BLOCK::BootBusExtenders

| Definition at line 426 of file setupblk.h.

PDETECTED_DEVICE _SETUP_LOADER_BLOCK::BusExtenders

| Definition at line 431 of file setupblk.h.

DETECTED_DEVICE _SETUP_LOADER_BLOCK::ComputerDevice

| Definition at line 370 of file setupblk.h.

WCHAR _SETUP_LOADER_BLOCK::ComputerName[64]

| Definition at line 449 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry().

ULONG _SETUP_LOADER_BLOCK::DefaultRouter

| Definition at line 453 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry(), and IopStartNetworkForRemoteBoot().

ULONG _SETUP_LOADER_BLOCK::DnsNameServer

| Definition at line 454 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::Flags

| Definition at line 511 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry(), IopAssignNetworkDriveLetter(), and IopStartNetworkForRemoteBoot().

PPNP_HARDWARE_ID _SETUP_LOADER_BLOCK::HardwareIdDatabase

| Definition at line 443 of file setupblk.h.

PCHAR _SETUP_LOADER_BLOCK::IniFile

| Definition at line 386 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::IniFileLength

| Definition at line 387 of file setupblk.h.

PDETECTED_DEVICE _SETUP_LOADER_BLOCK::InputDevicesSupport

| Definition at line 436 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::IpAddress

| Definition at line 450 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry(), and IopStartTcpIpForRemoteBoot().

PDETECTED_DEVICE _SETUP_LOADER_BLOCK::KeyboardDevices

| Definition at line 365 of file setupblk.h.

PCHAR _SETUP_LOADER_BLOCK::MachineDirectoryPath

| Definition at line 543 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry().

PCHAR _SETUP_LOADER_BLOCK::MigrateInfFile

| Definition at line 398 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::MigrateInfFileLength

| Definition at line 399 of file setupblk.h.

PMONITOR_CONFIGURATION_DATA _SETUP_LOADER_BLOCK::Monitor

| Definition at line 413 of file setupblk.h.

PCHAR _SETUP_LOADER_BLOCK::MonitorId

| Definition at line 414 of file setupblk.h.

WCHAR _SETUP_LOADER_BLOCK::NetbootCardDriverName[24]

| Definition at line 471 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry(), IopSetupRemoteBootCard(), and IopStartNetworkForRemoteBoot().

WCHAR _SETUP_LOADER_BLOCK::NetbootCardHardwareId[64]

| Definition at line 465 of file setupblk.h. Referenced by IopIsRemoteBootCard(), and IopSetupRemoteBootCard().

PCHAR _SETUP_LOADER_BLOCK::NetbootCardInfo

| Definition at line 504 of file setupblk.h. Referenced by IopIsRemoteBootCard(), and IopSetupRemoteBootCard().

ULONG _SETUP_LOADER_BLOCK::NetbootCardInfoLength

| Definition at line 505 of file setupblk.h.

PCHAR _SETUP_LOADER_BLOCK::NetbootCardRegistry

| Definition at line 496 of file setupblk.h. Referenced by IopSetupRemoteBootCard().

ULONG _SETUP_LOADER_BLOCK::NetbootCardRegistryLength

| Definition at line 497 of file setupblk.h.

WCHAR _SETUP_LOADER_BLOCK::NetbootCardServiceName[24]

| Definition at line 477 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry(), and IopSetupRemoteBootCard().

UCHAR _SETUP_LOADER_BLOCK::NetBootIMirrorFilePath[260]

| Definition at line 572 of file setupblk.h.

PVOID _SETUP_LOADER_BLOCK::NetBootSecret

| Definition at line 557 of file setupblk.h. Referenced by IopStartNetworkForRemoteBoot().

PCHAR _SETUP_LOADER_BLOCK::NetBootSifPath

| Definition at line 550 of file setupblk.h.

SETUP_LOADER_BLOCK_SCALARS _SETUP_LOADER_BLOCK::ScalarValues

| Definition at line 381 of file setupblk.h.

PDETECTED_DEVICE _SETUP_LOADER_BLOCK::ScsiDevices

| Definition at line 376 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::ServerIpAddress

| Definition at line 452 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::SubnetMask

| Definition at line 451 of file setupblk.h. Referenced by IopAddRemoteBootValuesToRegistry(), and IopStartTcpIpForRemoteBoot().

PCHAR _SETUP_LOADER_BLOCK::UnsupDriversInfFile

| Definition at line 404 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::UnsupDriversInfFileLength

| Definition at line 405 of file setupblk.h.

DETECTED_DEVICE _SETUP_LOADER_BLOCK::VideoDevice

| Definition at line 360 of file setupblk.h.

PCHAR _SETUP_LOADER_BLOCK::WinntSifFile

| Definition at line 392 of file setupblk.h.

ULONG _SETUP_LOADER_BLOCK::WinntSifFileLength

| Definition at line 393 of file setupblk.h.

The documentation for this struct was generated from the following file:

- setupblk.h